Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357763 - Wifi on Lenovo Ideapad Y700-15ACZ disconnects after some time
Summary: Wifi on Lenovo Ideapad Y700-15ACZ disconnects after some time
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 27
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-19 06:02 UTC by Basil Mohamed Gohar
Modified: 2018-10-22 12:01 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-22 12:01:44 UTC


Attachments (Terms of Use)

Description Basil Mohamed Gohar 2016-07-19 06:02:55 UTC
Description of problem:
The wifi on my laptop, a Lenovo Ideapad Y700-15ACZ (the AMD-based model, not the Intel one) does not maintain it's wifi connection - it will disconnect after some time (though not fixed, it's variable/random).

Version-Release number of selected component (if applicable):


How reproducible:
It will also disconnect, sometime after a few minutes and sometimes after some hours, but invariably it will happen.

Steps to Reproduce:
1. Connect to any wifi source.
2. Browse until you notice the connection is not working anymore.
3. Notice the wifi has been disconnected through no action on your part.

Actual results:
Wifi connection drops.

Expected results:
Wifi connection stays connected until some action of the user causes it to disconnect or some external factor, such as an AP shutting down.

Additional info:
I had to blacklist the ideapad_laptop module altogether to even get the wifi and bluetooth to start working at all, as it would appear as "hard disabled" with that module loaded.

Comment 1 Laura Abbott 2016-09-23 19:10:44 UTC
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 24 kernel bugs.
 
Fedora 24 has now been rebased to 4.7.4-200.fc24.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 25, and are still experiencing this issue, please change the version to Fedora 25.
 
If you experience different issues, please open a new bug report for those.

Comment 2 Basil Mohamed Gohar 2016-10-20 03:15:37 UTC
I have updated my laptop, rebooted, and tried wifi again and I am still experience this problem.  The new kernel did not make a difference for this issue.

Comment 3 Justin M. Forbes 2017-04-11 14:53:46 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 24 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-100.fc24.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 4 Justin M. Forbes 2017-04-28 17:13:12 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the 
relevant data from the latest kernel you are running and any data that might have been requested previously.

Comment 5 Basil Mohamed Gohar 2018-03-12 02:48:58 UTC
Output from uname -a:

[root@Y700-15ACZ-BMG ~]# uname -a
Linux Y700-15ACZ-BMG 4.15.4-300.fc27.x86_64 #1 SMP Mon Feb 19 23:31:15 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

I am still experiencing this and other issues related to the wifi.  It seems the issue is less severe than before, but it is still occurring every time I boot into Fedora.

Not sure if it's related, but wifi speed is also severely impaired.

Comment 6 Laura Abbott 2018-10-01 21:24:34 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.
 
Fedora 27 has now been rebased to 4.18.10-100.fc27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 28 or Fedora 29, and are still experiencing this issue, please change the version to Fedora 28 or 29.
 
If you experience different issues, please open a new bug report for those.

Comment 7 Basil Mohamed Gohar 2018-10-22 12:01:44 UTC
I've since upgraded to Fedora 28 and I no longer appear to have this problem, so this issue can be closed.


Note You need to log in before you can comment on or make changes to this bug.